%global  cairo_version     1.14.0
%global  gdk_pixbuf_version     2.36.8
%global  gegl_version     0.4.0
%global  gexiv_version     0.10.8
%global  glib_version     2.57.2
%global  goa_version     3.8.0
%global  grilo_version     0.3.5
%global  gtk_version     3.22.16
%global  libdazzle_version     3.26.0
%global  libgdata_version     0.15.2
%global  libgfgraph_version     0.2.1

Name:          gnome-photos
Version:       40.0
Release:       1
Summary:       Access, organize and share your photos on GNOME
License:       GPLv3+ and LGPLv2+
URL:           https://wiki.gnome.org/Apps/Photos
Source0:       http://download.gnome.org/sources/%{name}/40/%{name}-%{version}.tar.xz

BuildRequires:  git meson itstool gettext desktop-file-utils
BuildRequires:  pkgconfig(babl)
BuildRequires:  pkgconfig(cairo) >= %{cairo_version}
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= %{gdk_pixbuf_version}
BuildRequires:  pkgconfig(gegl-0.4) >= %{gegl_version}
BuildRequires:  pkgconfig(geocode-glib-1.0)
BuildRequires:  pkgconfig(gexiv2) >= %{gexiv_version}
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= %{glib_version}
BuildRequires:  pkgconfig(goa-1.0) >= %{goa_version}
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(grilo-0.3) >= %{grilo_version}
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk_version}
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
BuildRequires:  pkgconfig(libdazzle-1.0) >= %{libdazzle_version}
BuildRequires:  pkgconfig(libgdata) >= %{libgdata_version}
BuildRequires:  pkgconfig(libgfbgraph-0.2) >= %{libgfgraph_version}
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng16)
BuildRequires:  pkgconfig(tracker-sparql-3.0)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libhandy-1)

Requires:      dleyna-renderer baobab  gdk-pixbuf2%{?isa} >= %{gdk_pixbuf_version}
Requires:      gegl04%{?_isa} >= %{gegl_version} libgexiv2%{?_isa} >= %{gexiv_version}
Requires:      glib2%{?isa} >= %{glib_version} gfbgraph%{?_isa} >= 0.2.1
Requires:      gnome-online-miners >= 3.11.3 gnome-settings-daemon grilo%{?_isa} >= %{grilo_version}
Requires:      gtk3%{?_isa} >= %{gtk_version} libdazzle%{?isa} >= %{libdazzle_version}
Requires:      libgdata%{?_isa} >= %{libgdata_version} tracker3 >= 3.0.4 tracker3-miners >= 3.0.5

Provides:      bundled(libgd)


%description
Access, organize and share your photos on GNOME. A simple and elegant
replacement for using a file manager to deal with photos. Enhance, crop
and edit in a snap. Seamless cloud integration is offered through GNOME
Online Accounts.


%package       tests
Summary:       Tests for %{name}
Requires:      python3-dogtail

%description   tests
This package contains the installable tests for %{name}.


%prep
%autosetup -p1


%build
%meson --buildtype=plain -Dflatpak=true -Dinstalled_tests=true 
%meson_build


%install
%meson_install

desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Photos.desktop

%find_lang %{name} --with-gnome


%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/metainfo/org.gnome.Photos.appdata.xml
%{_datadir}/applications/org.gnome.Photos.desktop
%{_datadir}/dbus-1/services/org.gnome.Photos.service
%{_datadir}/dbus-1/services/org.gnome.Photos.Tracker3.Miner.Extract.service
%{_datadir}/dbus-1/services/org.gnome.Photos.Tracker3.Miner.Files.service
%{_datadir}/glib-2.0/schemas/org.gnome.photos.gschema.xml
%{_datadir}/gnome-shell/
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Photos.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Photos-symbolic.svg
%{_datadir}/tracker3-miners/domain-ontologies/org.gnome.Photos.rule
%{_docdir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libgnome-photos.so
%{_libexecdir}/%{name}-thumbnailer

%files tests
%{_libexecdir}/installed-tests/%{name}
%{_datadir}/installed-tests

%changelog
* Fri Sep 24 2021 Wenlong Ding <wenlong.ding@turbolinux.com.cn> - 40.0-1
- Update to 40

* Fri Jun 18 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.1-1
- Package init with version 3.38.1

